<script src="https://d3js.org/d3.v4.min.js"></script>

<script>
  "use strict";

  const percentageApiURL = '/analytics/question/multiple/percentages';
  const brightness = 1.5;
  const hoverBrightnessFactor = 2;
  const duration = 500;
  const emptySelectionMessage = 'Empty selection.';

  let colorScale = d3.scaleLinear()
            .domain([0, 1])
            .range(["red", "green"])
            .interpolate(d3.interpolateHcl);

  let activity = $('input[name=q-activity-options]:checked').val();
  let type = $('input[name=q-type-options]:checked').val();
  let data = { activity, type };

  $.ajax({
    url: percentageApiURL,
    type: 'GET',
    cache: false,
    data: data
  }).done((data) => {
    renderScatterPlot(data);
  }).fail((xhr, desc, err) => {
    console.log(desc);
  });

  $('.q-perc-options').change(() => {
    let activity = $('input[name=q-activity-options]:checked').val();
    let type = $('input[name=q-type-options]:checked').val();
    let authorID = $('#author-selection').val();
    let testID = $('#test-selection').val();
    let metrics = $('input[name=q-metrics-options]:checked').val();

    if(metrics && metrics === 'correct') {
      colorScale = d3.scaleLinear()
            .domain([0, 1])
            .range(["red", "green"])
            .interpolate(d3.interpolateHcl);
    } else {
      colorScale = d3.scaleLinear()
            .domain([0, 1])
            .range(["green", "red"])
            .interpolate(d3.interpolateHcl);
    }

    let data = { activity, type, authorID, testID, metrics };
    $.ajax({
      url: percentageApiURL,
      type: 'GET',
      cache: false,
      data: data
    }).done((newData) => {
      updateScatterPlot(newData);
    }).fail((xhr, desc, err) => {
      console.log(`${err}: ${desc}`);
    })
  });
</script>

<%- include("analyticsQuestionPercentageScatterplot.ejs") %>
